#
# config.sample 1.3 1995/06/01 06:26:45 (David Hinds)
#
# System resources available for PCMCIA devices
#
include port 0x2e0-0x3ff, memory 0xd0000-0xdffff
#
# Resources we should not use, even if they appear to be available
#
# First built-in serial port
exclude irq 4, port 0x3f8-0x3ff
# Second built-in serial port
#exclude irq 3, port 0x2f8-0x2ff
# First built-in parallel port
exclude irq 7, port 0x378-0x37f

#
# Device driver definitions
#
device "3c589_cs"
  module "3c589_cs" # opts "if_port=3"
  start "/etc/pcmcia/network start %d%"
  stop  "/etc/pcmcia/network stop %d%"

device "de650_cs"
  module "net/8390", "de650_cs"
  start "/etc/pcmcia/network start %d%"
  stop  "/etc/pcmcia/network stop %d%"

device "ibmcc_cs"
  module "net/8390", "ibmcc_cs" # opts "mem_speed=600"
  start "/etc/pcmcia/network start %d%"
  stop  "/etc/pcmcia/network stop %d%"

device "nmclan_cs"
  module "nmclan_cs"
  start "/etc/pcmcia/network start %d%"
  stop  "/etc/pcmcia/network stop %d%"

device "pcmem_cs"
  module "pcmem_cs"
  start "/etc/pcmcia/pcmem start %d% %m% %n%"
  stop  "/etc/pcmcia/pcmem stop %d%"

device "memory_cs"
  module "memory_cs"
  start "/etc/pcmcia/memory start %d% %m% %n%"
  stop  "/etc/pcmcia/memory stop %d%"

device "ftl_cs"
  module "ftl_cs"
  start "/etc/pcmcia/ftl start %d% %m% %n%"
  stop  "/etc/pcmcia/ftl stop %d%"

device "serial_cs"
  module "serial_cs"
  start "/etc/pcmcia/serial start %d%"
  stop  "/etc/pcmcia/serial stop %d%"

device "qlogic_cs"
  module "qlogic_cs"

device "toaster_cs"
  module "toaster_cs"

device "wavjamr_cs"
  module "wavjamr_cs"

#
# PCMCIA ethernet card definitions
#
card "3Com 3c589 LAN Adapter"
  version "3Com Corporation", "3C589", "*", "*"
  bind "3c589_cs"

card "Accton EN2212 EtherCard"
  version "ACCTON", "EN2212", "ETHERNET", "*"
  bind "de650_cs"

card "Accton UE2212 Ethernet Card"
  version "PCMCIA", "UE2212", "ETHERNET", "*"
  bind "de650_cs"

card "D-Link DE-650 Ethernet Card"
  version "D-Link", "DE-650"
  bind "de650_cs"

card "EP-210 Ethernet Card"
  version "Ethernet PCMCIA adapter", "EP-210", "", ""
  bind "de650_cs"

card "GVC NIC-2000P Ethernet Card"
  version "GVC", "NIC-2000p", "*", "*"
  bind "de650_cs"

card "IBM Credit Card Ethernet Adapter"
  version "IBM Corp.", "Ethernet", "*", "*"
  bind "ibmcc_cs"

card "National Semiconductor InfoMover 4100"
  version "National Semiconductor", "InfoMover 4100", "*", "*"
  bind "ibmcc_cs"

card "Katron PE-520 Ethernet Card"
  version "KCI", "PE520 PCMCIA Ethernet Adapter", "*"
  bind "de650_cs"

card "Linksys Ethernet Card"
  tuple 0x40, 0x0009, "E-CARD PC Ethernet Card"
  bind "de650_cs"

card "Linksys Ethernet Card"
  version "LINKSYS", "E-CARD", "*", "*"
  bind "de650_cs"

card "Linksys Ethernet Card"
  version "E-CARD", "E-CARD", "*", "*"
  bind "de650_cs"

card "Maxtech PCN2000 Ethernet"
  version "MAXTECH", "PCN2000", "ETHERNET", "*"
  bind "de650_cs"

card "New Media Ethernet Adapter"
  version "New Media Corporation", "Ethernet", "*"
  bind "nmclan_cs"

card "NE2000 Compatible Ethernet Card"
  version "NE2000 Compatible", "PCMCIA", "Ethernet Card", "*"
  bind "de650_cs"

card "PreMax PE-200 Ethernet Card"
  version "PMX   ", "PE-200", "*", "*"
  bind "de650_cs"

card "RPTI EP400 Ethernet Card"
  version "RPTI LTD.", "EP400", "*", "*"
  bind "de650_cs"

card "Socket EA LAN Adapter"
  version "Socket Communications Inc", "Socket EA PCMCIA LAN Adapter Revision D", "*"
  bind "de650_cs"

card "Socket EA LAN Adapter"
  version "Socket Communications Inc", "Socket EA PCMCIA LAN Adapter Revision E", "*"
  bind "de650_cs"

#
# PCMCIA modem and serial card definitions
#
card "Serial or Modem Card"
  function serial_port
  bind "serial_cs"

card "Cirrus Logic 14.4K Fax Modem"
  version "CIRRUS LOGIC", "FAX MODEM", "*", "*"
  bind "serial_cs"

card "Intel-compatible Modem"
  version "Intel", "MODEM 2400+", "*", "*"
  bind "serial_cs"

card "Macronix Fax/Modem"
  version "MACRONIX", "FAX/MODEM"
  bind "serial_cs"

card "Megahertz PCMCIA Modem"
  version "MEGAHERTZ", "*", "*", "PCMCIA MODEM"
  bind "serial_cs"

card "Toshiba T144PF Modem"
  version "TOSHIBA", "T144PF", "*", "PCMCIA MODEM"
  bind "serial_cs"

card "Xircom CreditCard Ethernet+Modem II"
  version "Xircom", "CreditCard Ethernet+Modem II", "*", "*"
  bind "serial_cs"

#
# Memory cards
#
card "Anonymous Memory Card"
  anonymous
  bind "pcmem_cs"

card "Memory Card"
  function memory_card
  bind "memory_cs", "ftl_cs"

card "Intel Series 2 4MB Flash Card"
  version "intel", "SERIES2-04 ", "*", "*"
  bind "memory_cs", "ftl_cs"

region "Generic or SRAM"
  default
  mtd "sram_mtd"

region "Intel Series 2 Flash"
  jedec 0x89 0xa2
  mtd "iflash2_mtd"

region "Intel Series 2+ Flash"
  jedec 0x89 0xa0
  mtd "iflash2+_mtd"

#
# PCMCIA SCSI card definitions
#
card "Adaptec APA-1460 SlimSCSI"
  version "Adaptec, Inc.", "APA-1460 SCSI Host Adapter", "*"
  bind "toaster_cs"

card "New Media Bus Toaster SCSI"
  version "New Media", "SCSI", "Bus Toaster"
  bind "toaster_cs"

card "Qlogic FastSCSI"
  version "QLOGIC CORPORATION", "pc05"
  bind "qlogic_cs"

card "Qlogic FastSCSI"
  version "QLOGIC CORPORATION", "pc05 rev 1.10"
  bind "qlogic_cs"

#
# Miscellaneous card definitions
#
#card "Canon FDCard"
#  version "Canon Electronics INC.", "FDCard Ver. 1.00"

card "New Media .WAVjammer"
version "New Media Corporation", ".WAVjammer"
  bind "wavjamr_cs"
